> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Runwayml-Gen3a_turbo-5 - Submit Video Generation Task

> Runwayml-Gen3a_turbo-5 — Submit Video Generation Task. GPTProto API reference.

Runway's submit video generation task.mdx for the submit video generation task API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/runwayml/v1/image_to_video" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "promptImage": "https://xxx.com/logo.png",
    "seed": 4294967295,
    "model": "runwayml-gen3a_turbo-5",
    "promptText": "cat dance",
    "watermark": false,
    "duration": 5,
    "ratio": "1280:768"
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/runwayml/v1/image_to_video"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "promptImage": "https://xxx.com/logo.png",
    "seed": 4294967295,
    "model": "runwayml-gen3a_turbo-5",
    "promptText": "cat dance",
    "watermark": false,
    "duration": 5,
    "ratio": "1280:768"
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/runwayml/v1/image_to_video";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "promptImage": "https://xxx.com/logo.png",
    "seed": 4294967295,
    "model": "runwayml-gen3a_turbo-5",
    "promptText": "cat dance",
    "watermark": false,
    "duration": 5,
    "ratio": "1280:768"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/runwayml/v1/image_to_video"

      payload := []byte(`{
  "promptImage": "https://xxx.com/logo.png",
  "seed": 4294967295,
  "model": "runwayml-gen3a_turbo-5",
  "promptText": "cat dance",
  "watermark": false,
  "duration": 5,
  "ratio": "1280:768"
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter     | Type    | Required | Default                    | Description                      |
| ------------- | ------- | -------- | -------------------------- | -------------------------------- |
| `promptImage` | string  | ❌ No     | `https://xxx.com/logo.png` | Promptimage parameter            |
| `seed`        | integer | ❌ No     | `4294967295`               | Seed parameter                   |
| `model`       | string  | ✅ Yes    | `runwayml-gen3a_turbo-5`   | The model to use for the request |
| `promptText`  | string  | ❌ No     | `cat dance`                | Prompttext parameter             |
| `watermark`   | boolean | ❌ No     | `false`                    | Watermark parameter              |
| `duration`    | integer | ❌ No     | `5`                        | Duration parameter               |
| `ratio`       | string  | ❌ No     | `1280:768`                 | Ratio parameter                  |
